<!-- 
      1. commonmod /  mark up for a variety of 
      common or miscellaneous data structures -->

<!--================ Character mnemonic entities =========================-->

<!ENTITY % HTMLlat1 SYSTEM "HTMLlat1x.ent">
%HTMLlat1;

<!ENTITY % HTMLsymbol SYSTEM "HTMLsymbolx.ent">
%HTMLsymbol;

<!ENTITY % HTMLspecial SYSTEM "HTMLspecialx.ent" >
%HTMLspecial;

<!-- Common Attributes -->

<!ENTITY % attrface "face (b | i | bi | u | bu | iu) 'b'">

<!ENTITY % attrdist "
    distribute    (external | internal | restricted ) 'external'">

<!ENTITY % attrglobal "
    name            CDATA        #IMPLIED
    class           CDATA        #IMPLIED
    role            CDATA        #IMPLIED
	style           CDATA        #IMPLIED
	id              ID           #IMPLIED
	%attrdist;
	">

<!ENTITY % attrref    "refid	  IDREF	#IMPLIED">


<!-- Things at the text level -->

<!ENTITY % datemod "startdate | enddate | date">
<!ENTITY % textmod "emph | link | %datemod; | %SpecialMod; | img | object">

<!-- Things at the paragraph level -->

<!ENTITY % pmod "p | ol | ul | dl| img | object">

<!ELEMENT link (#PCDATA)>
<!ATTLIST link          
                    
					mailto   CDATA          #IMPLIED
					linkend   CDATA          #IMPLIED 
					refid  ID              #IMPLIED>

<!ELEMENT img EMPTY>
<!ATTLIST img          
                    %attrglobal;         
					src     CDATA          #REQUIRED
					width   CDATA          #IMPLIED 
					height  CDATA          #IMPLIED
                    alt     CDATA          #IMPLIED>


<!ELEMENT object EMPTY>
<!ATTLIST object     
                    %attrglobal;         
					src     CDATA          #REQUIRED
					width   CDATA          #IMPLIED 
					height  CDATA          #IMPLIED
                    alt     CDATA          #IMPLIED
					mediatype CDATA        #IMPLIED
					parm      CDATA        #IMPLIED
					>


<!-- date markup, must include year -->

<!ELEMENT date  (month? , day? , year )>
<!ELEMENT month  (#PCDATA )>
<!ELEMENT day  (#PCDATA )>
<!ELEMENT year  (#PCDATA )>
<!ELEMENT startdate  (date )>
<!ELEMENT enddate  (date )>

<!-- Person name and jobtitle -->
<!ELEMENT name  (#PCDATA )>
<!ELEMENT jobtitle  (#PCDATA )>


<!-- Emphasis -->

<!ELEMENT emph (#PCDATA)>
<!ATTLIST emph          
                              %attrface;
							  %attrglobal;
>

<!-- tbd is an acronym for 'to be determined.' 
A comment is optionally allowed within tbd to 
provide explanation. 
-->
<!ELEMENT tbd (comment)?>
<!ATTLIST tbd 
						  %attrglobal;>
<!ELEMENT comment (#PCDATA)>
<!ATTLIST comment 
						  %attrglobal;>


<!--Ordered List-->
<!ELEMENT ol (li+)>
<!ATTLIST ol 
                          %attrglobal;>
<!--Unodered List-->
<!ELEMENT ul (li+)>
<!ATTLIST ul 
                          %attrglobal;>
<!--List Item-->
<!ELEMENT li (#PCDATA | %textmod;)*>
<!ATTLIST li 
                          %attrglobal;>
<!--Definition List-->
<!ELEMENT dl (dt, dd)>
<!ATTLIST dl 
                          %attrglobal;>
<!ELEMENT dt (#PCDATA | %textmod;)*>
<!ATTLIST dt 
                          %attrglobal;>
<!ELEMENT dd (#PCDATA | %textmod;)*>
<!ATTLIST dd 
                          %attrglobal;>

<!-- Paragraph -->
<!ELEMENT p (#PCDATA | %textmod;)*>
